Subject: Re: bug#56423: 29.0.50; Hi-lock in dired broken by toggling wdired-mode

From: Michael Heerdegen <[email-masked]>
Date: Thu, 07 Jul 2022 13:14:05 +0200

Eli Zaretskii <[email-masked]> writes:

> It sounds like you described the "normal" ways of returning?  I mostly
> had in mind the "abnormal" ones, via one of the non-local exits.  If
> that is possible, we should set up unwind-protect form.

Ah - ok.  But AFAIK there is no non-local way of exiting possible.  In
wdired you are at top-level, you can only "exit" explicitly.  The
wording "exit" is a bit misleading in this context, actually you are
just switching to a (or something like a) different major mode and back.
There is no code where we could add an `unwind-protect' to - there is no
continuation executed after "exiting" wdired.

Michael.